## GtkPlotCanvasPlot GtkPlotCanvasPlot |

## Functions

GtkPlotCanvasChild * | gtk_plot_canvas_plot_new ()
GtkPlotCanvasPlotFlags | gtk_plot_canvas_plot_flags ()
void | gtk_plot_canvas_plot_set_flags ()
void | gtk_plot_canvas_plot_unset_flags ()

## Types and Values

struct | GtkPlotCanvasPlot
enum | GtkPlotCanvasPlotFlags
enum | GtkPlotCanvasPlotPos

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkPlotCanvasChild
                    ╰── GtkPlotCanvasPlot

## Includes

    #include <gtkextra.h>

## Description

A GtkPlotCanvas object is an interactive container for GtkPlots and some graphic primitives that can be used to illustrate the plots (see GtkCanvasChild).

## Functions

### gtk_plot_canvas_plot_new ()

    GtkPlotCanvasChild *
    gtk_plot_canvas_plot_new (GtkPlot *plot);

#### Parameters

plot | a GtkPlot. |

### gtk_plot_canvas_plot_flags ()

    GtkPlotCanvasPlotFlags
    gtk_plot_canvas_plot_flags (GtkPlotCanvasPlot *plot);

### gtk_plot_canvas_plot_set_flags ()

    void
    gtk_plot_canvas_plot_set_flags (GtkPlotCanvasPlot *plot,
                                    GtkPlotCanvasPlotFlags flags);

### gtk_plot_canvas_plot_unset_flags ()

    void
    gtk_plot_canvas_plot_unset_flags (GtkPlotCanvasPlot *plot,
                                      GtkPlotCanvasPlotFlags flags);

## Types and Values

### struct GtkPlotCanvasPlot

    struct GtkPlotCanvasPlot;

The GtkPlotBar struct contains only private data. It should only be accessed through the functions described below.

### enum GtkPlotCanvasPlotFlags

Selection and DND mode of GtkPlotCanvas

#### Members

GTK_PLOT_CANVAS_PLOT_SELECT_POINT | Select point |
GTK_PLOT_CANVAS_PLOT_DND_POINT | DnD point |

### enum GtkPlotCanvasPlotPos

#### Members

GTK_PLOT_CANVAS_PLOT_OUT |  |
GTK_PLOT_CANVAS_PLOT_IN_PLOT |  |
GTK_PLOT_CANVAS_PLOT_IN_LEGENDS |  |
GTK_PLOT_CANVAS_PLOT_IN_TITLE |  |
GTK_PLOT_CANVAS_PLOT_IN_AXIS |  |
GTK_PLOT_CANVAS_PLOT_IN_DATA |  |
GTK_PLOT_CANVAS_PLOT_IN_GRADIENT |  |
GTK_PLOT_CANVAS_PLOT_IN_MARKER |  |